"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleBoxRadioGroup = void 0;
const react_1 = __importStar(require("react"));
const prop_types_1 = __importDefault(require("prop-types"));
const ToggleBoxRadioGroup = ({ selected: selectedIn, className, children, onChange, allowDeselect, }) => {
    const [currentSelection, setCurrentSelection] = (0, react_1.useState)(selectedIn);
    const updateSelection = (i, id) => {
        if (!allowDeselect && i === -1)
            return;
        if (onChange) {
            setCurrentSelection(i);
            onChange(i, id);
        }
        else {
            setCurrentSelection(i);
        }
    };
    const fullClassName = [className, 'list-reset'].join(' ');
    return (react_1.default.createElement("div", { className: "toggleBoxRadioGroup_wrap" },
        react_1.default.createElement("ul", { className: fullClassName }, children.map((child, i) => {
            const newProps = {
                onChange: (j, v) => updateSelection(j ? i : -1, v),
                stateIn: i === currentSelection,
                id: child === null || child === void 0 ? void 0 : child.props.id,
            };
            const newChild = react_1.default.cloneElement(child, Object.assign({}, newProps));
            return react_1.default.createElement("li", { key: child.props.id }, newChild);
        }))));
};
exports.ToggleBoxRadioGroup = ToggleBoxRadioGroup;
exports.ToggleBoxRadioGroup.propTypes = {
    selected: prop_types_1.default.oneOfType([prop_types_1.default.number, prop_types_1.default.string]).isRequired,
    children: prop_types_1.default.arrayOf(prop_types_1.default.node).isRequired,
    className: prop_types_1.default.string,
    onChange: prop_types_1.default.func.isRequired,
    allowDeselect: prop_types_1.default.bool,
};
exports.ToggleBoxRadioGroup.defaultProps = {
    className: '',
    allowDeselect: false,
};
//# sourceMappingURL=radio-group.js.map